::VIPShared <- class extends CustomCharacter
{
    deleteItems = true;
    mute = true;
    keepAfterDeath = false;
    keepAfterClassChange = false;

    function ApplyCharacter()
    {
        base.ApplyCharacter();
        local compassController = CompassController(player);
        local glowController = GlowController(player);
        OnSelfEvent("vip_gone", glowController.DestroyGlowController.bindenv(glowController));
        OnSelfEvent("vip_gone", compassController.DestroyCompassController.bindenv(compassController));
    }

    debuffs = [ //todo move to good place
        TF_COND_BURNING,
        TF_COND_URINE,
        TF_COND_MAD_MILK,
        TF_COND_BLEEDING,
        TF_COND_ENERGY_BUFF,
        TF_COND_CANNOT_SWITCH_FROM_MELEE,
        TF_COND_PHASE,
        TF_COND_PARACHUTE_DEPLOYED,
        TF_COND_PLAGUE
    ]

    function OnRegenerate(fakeRegenTrigger)
    {
        primary.SetClip1(typewriter.clip);
        secondary.SetClip1(1);
        SetPropIntArray(player, "m_iAmmo", typewriter.maxAmmo, primary.GetPrimaryAmmoType());
        SetPropIntArray(player, "m_iAmmo", 1, secondary.GetPrimaryAmmoType());

        player.SetHealth(player.GetMaxHealth());

        foreach (debuff in debuffs)
            player.RemoveCond(debuff);

        return 1;
    }
}